Improve  hover indicator to match intended functionality
The "hovered link" indicator in the URL bar + the state indicator changes landed for beta  but in a halfway done state. Here's what remains:

* Right-aligned URL is hard to scan and causes a lot of jumping around, instead anchor location in the middle at consistent starting point for more efficient visual parsing.

* Show “Connecting to example.com…” (or whatever the current string is) *only* for pathological cases, e.g. when we have been waiting for a server more than  seconds for a server to reply — you generally only need it when you are wondering why stuff is taking so long,

* Drop  from the preview, and drop hostname if it’s on the same domain,

* Both the bookmark star and the pulldown indicator disappear when you hover, contributing to the visual noise of hovering (by flickering in and out), I suggest that we keep these in the display even on hover to minimize noise. This will be reduced by the new bookmark star graphics, though — so prioritize the other items first. :)
